from fastapi.testclient import TestClient

from src.api.main import Flight, app, flight_instance

client = TestClient(app)


def test_get_flight():
    response = client.get("/flights/3")
    assert response.status_code == 200
    retrieved_fligt = Flight(**response.json())
    assert retrieved_fligt.id == flight_instance.id
    assert retrieved_fligt.__eq__(flight_instance)
